/*******************************************************************************
 Module for Microchip Legato Graphics Library

  Company:
    Microchip Technology Inc.

  File Name:
    le_gen_assets.h

  Summary:
    Header file containing a list of asset specifications for use with the
    Legato Graphics Stack.


  Description:
    Header file containing a list of asset specifications for use with the
    Legato Graphics Stack.

*******************************************************************************/


// DOM-IGNORE-BEGIN
/*******************************************************************************
* Copyright (C)  Microchip Technology Inc. and its subsidiaries.
*
* Subject to your compliance with these terms, you may use Microchip software
* and any derivatives exclusively with Microchip products. It is your
* responsibility to comply with third party license terms applicable to your
* use of third party software (including open source software) that may
* accompany Microchip software.
*
* THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER
* EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY IMPLIED
* WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS FOR A
* PARTICULAR PURPOSE.
*
* IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE,
* INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND
* WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP HAS
* BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO THE
* FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL CLAIMS IN
* ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT OF FEES, IF ANY,
* THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS SOFTWARE.
*******************************************************************************/

// DOM-IGNORE-END

#ifndef LE_GEN_ASSETS_H
#define LE_GEN_ASSETS_H

// DOM-IGNORE-BEGIN
#ifdef __cplusplus  // Provide C++ Compatibility
extern "C" {
#endif
// DOM-IGNORE-END

#include "gfx/legato/legato.h"

extern const lePalette leGlobalPalette;

/*****************************************************************************
 * Legato Graphics Image Assets
 *****************************************************************************/
/*********************************
 * Legato Image Asset
 * Name:   n_02_84_240
 * Size:   87x24 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_02_84_240;

/*********************************
 * Legato Image Asset
 * Name:   n_04_85_242
 * Size:   86x25 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_04_85_242;

/*********************************
 * Legato Image Asset
 * Name:   n_06_84_244
 * Size:   86x28 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_06_84_244;

/*********************************
 * Legato Image Asset
 * Name:   n_08_88_246
 * Size:   87x30 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_08_88_246;

/*********************************
 * Legato Image Asset
 * Name:   n_10_89_248
 * Size:   86x33 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_10_89_248;

/*********************************
 * Legato Image Asset
 * Name:   n_12_91_250
 * Size:   86x35 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_12_91_250;

/*********************************
 * Legato Image Asset
 * Name:   n_14_90_251
 * Size:   91x41 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_14_90_251;

/*********************************
 * Legato Image Asset
 * Name:   n_16_92_254
 * Size:   85x41 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_16_92_254;

/*********************************
 * Legato Image Asset
 * Name:   n_18_93_256
 * Size:   85x43 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_18_93_256;

/*********************************
 * Legato Image Asset
 * Name:   n_20_95_258
 * Size:   84x45 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_20_95_258;

/*********************************
 * Legato Image Asset
 * Name:   n_22_98_259
 * Size:   84x47 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_22_98_259;

/*********************************
 * Legato Image Asset
 * Name:   n_24_99_262
 * Size:   83x48 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_24_99_262;

/*********************************
 * Legato Image Asset
 * Name:   n_26_97_255
 * Size:   82x52 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_26_97_255;

/*********************************
 * Legato Image Asset
 * Name:   n_28_104_257
 * Size:   80x53 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_28_104_257;

/*********************************
 * Legato Image Asset
 * Name:   n_30_106_259
 * Size:   80x56 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_30_106_259;

/*********************************
 * Legato Image Asset
 * Name:   n_32_108_261
 * Size:   79x57 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_32_108_261;

/*********************************
 * Legato Image Asset
 * Name:   n_34_110_264
 * Size:   77x59 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_34_110_264;

/*********************************
 * Legato Image Asset
 * Name:   n_36_111_273
 * Size:   76x61 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_36_111_273;

/*********************************
 * Legato Image Asset
 * Name:   n_38_117_275
 * Size:   75x63 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_38_117_275;

/*********************************
 * Legato Image Asset
 * Name:   n_40_120_277
 * Size:   73x65 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_40_120_277;

/*********************************
 * Legato Image Asset
 * Name:   n_42_121_280
 * Size:   72x66 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_42_121_280;

/*********************************
 * Legato Image Asset
 * Name:   n_44_125_280
 * Size:   70x69 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_44_125_280;

/*********************************
 * Legato Image Asset
 * Name:   n_46_127_280
 * Size:   69x70 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_46_127_280;

/*********************************
 * Legato Image Asset
 * Name:   n_48_129_282
 * Size:   74x75 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_48_129_282;

/*********************************
 * Legato Image Asset
 * Name:   n_50_136_285
 * Size:   65x73 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_50_136_285;

/*********************************
 * Legato Image Asset
 * Name:   n_52_140_285
 * Size:   63x75 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_52_140_285;

/*********************************
 * Legato Image Asset
 * Name:   n_54_140_286
 * Size:   62x76 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_54_140_286;

/*********************************
 * Legato Image Asset
 * Name:   n_56_147_287
 * Size:   60x77 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_56_147_287;

/*********************************
 * Legato Image Asset
 * Name:   n_58_150_289
 * Size:   58x78 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_58_150_289;

/*********************************
 * Legato Image Asset
 * Name:   n_60_151_289
 * Size:   63x82 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_60_151_289;

/*********************************
 * Legato Image Asset
 * Name:   n_62_159_292
 * Size:   54x81 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_62_159_292;

/*********************************
 * Legato Image Asset
 * Name:   n_64_163_293
 * Size:   52x82 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_64_163_293;

/*********************************
 * Legato Image Asset
 * Name:   n_66_167_294
 * Size:   50x82 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_66_167_294;

/*********************************
 * Legato Image Asset
 * Name:   n_68_16_295
 * Size:   46x83 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_68_16_295;

/*********************************
 * Legato Image Asset
 * Name:   n_70_175_295
 * Size:   45x84 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_70_175_295;

/*********************************
 * Legato Image Asset
 * Name:   n_72_180_296
 * Size:   42x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_72_180_296;

/*********************************
 * Legato Image Asset
 * Name:   n_74_184_296
 * Size:   40x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_74_184_296;

/*********************************
 * Legato Image Asset
 * Name:   n_76_188_297
 * Size:   38x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_76_188_297;

/*********************************
 * Legato Image Asset
 * Name:   n_78_193_297
 * Size:   35x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_78_193_297;

/*********************************
 * Legato Image Asset
 * Name:   n_80_197_299
 * Size:   33x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_80_197_299;

/*********************************
 * Legato Image Asset
 * Name:   n_82_200_300
 * Size:   30x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_82_200_300;

/*********************************
 * Legato Image Asset
 * Name:   n_84_206_301
 * Size:   28x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_84_206_301;

/*********************************
 * Legato Image Asset
 * Name:   n_86_211_301
 * Size:   25x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_86_211_301;

/*********************************
 * Legato Image Asset
 * Name:   n_88_214_302
 * Size:   24x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_88_214_302;

/*********************************
 * Legato Image Asset
 * Name:   n_90_217_301
 * Size:   23x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n_90_217_301;

/*********************************
 * Legato Image Asset
 * Name:   n000_88_238
 * Size:   85x23 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n000_88_238;

/*********************************
 * Legato Image Asset
 * Name:   n002_88_233
 * Size:   86x24 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n002_88_233;

/*********************************
 * Legato Image Asset
 * Name:   n004_89_228
 * Size:   86x25 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n004_89_228;

/*********************************
 * Legato Image Asset
 * Name:   n006_88_223
 * Size:   86x28 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n006_88_223;

/*********************************
 * Legato Image Asset
 * Name:   n008_89_219
 * Size:   86x30 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n008_89_219;

/*********************************
 * Legato Image Asset
 * Name:   n010_89_214
 * Size:   87x33 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n010_89_214;

/*********************************
 * Legato Image Asset
 * Name:   n012_90_210
 * Size:   86x36 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n012_90_210;

/*********************************
 * Legato Image Asset
 * Name:   n014_91_209
 * Size:   86x38 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n014_91_209;

/*********************************
 * Legato Image Asset
 * Name:   n016_89_205
 * Size:   86x40 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n016_89_205;

/*********************************
 * Legato Image Asset
 * Name:   n018_91_200
 * Size:   84x42 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n018_91_200;

/*********************************
 * Legato Image Asset
 * Name:   n020_92_196
 * Size:   84x45 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n020_92_196;

/*********************************
 * Legato Image Asset
 * Name:   n022_94_191
 * Size:   83x47 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n022_94_191;

/*********************************
 * Legato Image Asset
 * Name:   n024_96_187
 * Size:   82x50 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n024_96_187;

/*********************************
 * Legato Image Asset
 * Name:   n026_97_183
 * Size:   82x52 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n026_97_183;

/*********************************
 * Legato Image Asset
 * Name:   n028_100_177
 * Size:   80x54 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n028_100_177;

/*********************************
 * Legato Image Asset
 * Name:   n030_102_173
 * Size:   80x55 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n030_102_173;

/*********************************
 * Legato Image Asset
 * Name:   n032_104_170
 * Size:   79x58 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n032_104_170;

/*********************************
 * Legato Image Asset
 * Name:   n034_107_167
 * Size:   77x60 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n034_107_167;

/*********************************
 * Legato Image Asset
 * Name:   n036_110_163
 * Size:   75x62 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n036_110_163;

/*********************************
 * Legato Image Asset
 * Name:   n038_112_159
 * Size:   75x64 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n038_112_159;

/*********************************
 * Legato Image Asset
 * Name:   n040_115_155
 * Size:   73x66 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n040_115_155;

/*********************************
 * Legato Image Asset
 * Name:   n042_118_152
 * Size:   72x68 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n042_118_152;

/*********************************
 * Legato Image Asset
 * Name:   n044_121_149
 * Size:   71x69 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n044_121_149;

/*********************************
 * Legato Image Asset
 * Name:   n046_125_145
 * Size:   68x71 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n046_125_145;

/*********************************
 * Legato Image Asset
 * Name:   n048_128_142
 * Size:   67x73 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n048_128_142;

/*********************************
 * Legato Image Asset
 * Name:   n050_132_139
 * Size:   65x74 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n050_132_139;

/*********************************
 * Legato Image Asset
 * Name:   n052_135_136
 * Size:   63x76 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n052_135_136;

/*********************************
 * Legato Image Asset
 * Name:   n054_138_154
 * Size:   61x76 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n054_138_154;

/*********************************
 * Legato Image Asset
 * Name:   n056_142_131
 * Size:   59x78 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n056_142_131;

/*********************************
 * Legato Image Asset
 * Name:   n058_146_128
 * Size:   57x79 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n058_146_128;

/*********************************
 * Legato Image Asset
 * Name:   n060_149_126
 * Size:   55x80 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n060_149_126;

/*********************************
 * Legato Image Asset
 * Name:   n062_153_123
 * Size:   53x81 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n062_153_123;

/*********************************
 * Legato Image Asset
 * Name:   n064_157_121
 * Size:   51x82 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n064_157_121;

/*********************************
 * Legato Image Asset
 * Name:   n066_161_118
 * Size:   49x83 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n066_161_118;

/*********************************
 * Legato Image Asset
 * Name:   n068_165_116
 * Size:   47x84 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n068_165_116;

/*********************************
 * Legato Image Asset
 * Name:   n070_170_115
 * Size:   44x84 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n070_170_115;

/*********************************
 * Legato Image Asset
 * Name:   n072_174_113
 * Size:   42x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n072_174_113;

/*********************************
 * Legato Image Asset
 * Name:   n074_177_110
 * Size:   40x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n074_177_110;

/*********************************
 * Legato Image Asset
 * Name:   n076_182_110
 * Size:   37x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n076_182_110;

/*********************************
 * Legato Image Asset
 * Name:   n078_187_109
 * Size:   35x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n078_187_109;

/*********************************
 * Legato Image Asset
 * Name:   n080_191_108
 * Size:   33x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n080_191_108;

/*********************************
 * Legato Image Asset
 * Name:   n082_196_107
 * Size:   30x87 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n082_196_107;

/*********************************
 * Legato Image Asset
 * Name:   n084_200_106
 * Size:   28x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n084_200_106;

/*********************************
 * Legato Image Asset
 * Name:   n086_205_106
 * Size:   25x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n086_205_106;

/*********************************
 * Legato Image Asset
 * Name:   n088_207_105
 * Size:   24x87 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n088_207_105;

/*********************************
 * Legato Image Asset
 * Name:   n090_210_106
 * Size:   23x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n090_210_106;

/*********************************
 * Legato Image Asset
 * Name:   n000_627_238
 * Size:   85x23 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n000_627_238;

/*********************************
 * Legato Image Asset
 * Name:   n002_626_235
 * Size:   86x24 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n002_626_235;

/*********************************
 * Legato Image Asset
 * Name:   n004_626_232
 * Size:   86x25 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n004_626_232;

/*********************************
 * Legato Image Asset
 * Name:   n006_626_227
 * Size:   86x28 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n006_626_227;

/*********************************
 * Legato Image Asset
 * Name:   n008_625_223
 * Size:   86x30 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n008_625_223;

/*********************************
 * Legato Image Asset
 * Name:   n010_624_218
 * Size:   87x33 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n010_624_218;

/*********************************
 * Legato Image Asset
 * Name:   n012_624_213
 * Size:   86x36 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n012_624_213;

/*********************************
 * Legato Image Asset
 * Name:   n014_623_209
 * Size:   86x38 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n014_623_209;

/*********************************
 * Legato Image Asset
 * Name:   n016_625_205
 * Size:   86x40 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n016_625_205;

/*********************************
 * Legato Image Asset
 * Name:   n018_625_200
 * Size:   84x42 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n018_625_200;

/*********************************
 * Legato Image Asset
 * Name:   n020_624_196
 * Size:   84x45 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n020_624_196;

/*********************************
 * Legato Image Asset
 * Name:   n022_623_191
 * Size:   83x47 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n022_623_191;

/*********************************
 * Legato Image Asset
 * Name:   n024_622_186
 * Size:   82x50 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n024_622_186;

/*********************************
 * Legato Image Asset
 * Name:   n026_621_183
 * Size:   82x52 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n026_621_183;

/*********************************
 * Legato Image Asset
 * Name:   n028_620_177
 * Size:   80x54 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n028_620_177;

/*********************************
 * Legato Image Asset
 * Name:   n030_618_174
 * Size:   80x55 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n030_618_174;

/*********************************
 * Legato Image Asset
 * Name:   n032_617_170
 * Size:   79x58 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n032_617_170;

/*********************************
 * Legato Image Asset
 * Name:   n034_616_166
 * Size:   77x60 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n034_616_166;

/*********************************
 * Legato Image Asset
 * Name:   n036_615_163
 * Size:   75x62 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n036_615_163;

/*********************************
 * Legato Image Asset
 * Name:   n038_613_159
 * Size:   75x64 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n038_613_159;

/*********************************
 * Legato Image Asset
 * Name:   n040_612_155
 * Size:   73x66 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n040_612_155;

/*********************************
 * Legato Image Asset
 * Name:   n042_610_152
 * Size:   72x68 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n042_610_152;

/*********************************
 * Legato Image Asset
 * Name:   n044_608_149
 * Size:   71x69 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n044_608_149;

/*********************************
 * Legato Image Asset
 * Name:   n046_607_145
 * Size:   68x71 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n046_607_145;

/*********************************
 * Legato Image Asset
 * Name:   n048_605_142
 * Size:   67x73 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n048_605_142;

/*********************************
 * Legato Image Asset
 * Name:   n050_603_139
 * Size:   65x74 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n050_603_139;

/*********************************
 * Legato Image Asset
 * Name:   n052_602_136
 * Size:   63x76 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n052_602_136;

/*********************************
 * Legato Image Asset
 * Name:   n054_601_134
 * Size:   61x76 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n054_601_134;

/*********************************
 * Legato Image Asset
 * Name:   n056_599_131
 * Size:   59x78 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n056_599_131;

/*********************************
 * Legato Image Asset
 * Name:   n058_597_128
 * Size:   57x79 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n058_597_128;

/*********************************
 * Legato Image Asset
 * Name:   n060_596_125
 * Size:   55x80 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n060_596_125;

/*********************************
 * Legato Image Asset
 * Name:   n062_594_123
 * Size:   53x81 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n062_594_123;

/*********************************
 * Legato Image Asset
 * Name:   n064_592_121
 * Size:   51x82 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n064_592_121;

/*********************************
 * Legato Image Asset
 * Name:   n066_590_118
 * Size:   49x83 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n066_590_118;

/*********************************
 * Legato Image Asset
 * Name:   n068_588_116
 * Size:   47x84 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n068_588_116;

/*********************************
 * Legato Image Asset
 * Name:   n070_586_115
 * Size:   44x84 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n070_586_115;

/*********************************
 * Legato Image Asset
 * Name:   n072_584_113
 * Size:   42x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n072_584_113;

/*********************************
 * Legato Image Asset
 * Name:   n074_583_111
 * Size:   40x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n074_583_111;

/*********************************
 * Legato Image Asset
 * Name:   n076_581_110
 * Size:   37x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n076_581_110;

/*********************************
 * Legato Image Asset
 * Name:   n078_577_109
 * Size:   35x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n078_577_109;

/*********************************
 * Legato Image Asset
 * Name:   n080_576_108
 * Size:   33x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n080_576_108;

/*********************************
 * Legato Image Asset
 * Name:   n082_576_107
 * Size:   30x87 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n082_576_107;

/*********************************
 * Legato Image Asset
 * Name:   n084_571_106
 * Size:   28x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n084_571_106;

/*********************************
 * Legato Image Asset
 * Name:   n086_570_106
 * Size:   25x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n086_570_106;

/*********************************
 * Legato Image Asset
 * Name:   n088_569_105
 * Size:   24x87 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n088_569_105;

/*********************************
 * Legato Image Asset
 * Name:   n090_567_105
 * Size:   23x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n090_567_105;

/*********************************
 * Legato Image Asset
 * Name:   n270_559_301
 * Size:   23x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n270_559_301;

/*********************************
 * Legato Image Asset
 * Name:   n272_562_302
 * Size:   24x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n272_562_302;

/*********************************
 * Legato Image Asset
 * Name:   n274_564_301
 * Size:   25x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n274_564_301;

/*********************************
 * Legato Image Asset
 * Name:   n276_566_301
 * Size:   28x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n276_566_301;

/*********************************
 * Legato Image Asset
 * Name:   n278_569_300
 * Size:   30x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n278_569_300;

/*********************************
 * Legato Image Asset
 * Name:   n280_570_299
 * Size:   33x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n280_570_299;

/*********************************
 * Legato Image Asset
 * Name:   n282_572_298
 * Size:   35x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n282_572_298;

/*********************************
 * Legato Image Asset
 * Name:   n284_574_297
 * Size:   38x86 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n284_574_297;

/*********************************
 * Legato Image Asset
 * Name:   n286_576_297
 * Size:   40x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n286_576_297;

/*********************************
 * Legato Image Asset
 * Name:   n288_578_296
 * Size:   42x85 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n288_578_296;

/*********************************
 * Legato Image Asset
 * Name:   n290_580_295
 * Size:   45x84 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n290_580_295;

/*********************************
 * Legato Image Asset
 * Name:   n292_582_295
 * Size:   46x83 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n292_582_295;

/*********************************
 * Legato Image Asset
 * Name:   n294_583_294
 * Size:   50x82 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n294_583_294;

/*********************************
 * Legato Image Asset
 * Name:   n296_585_293
 * Size:   52x82 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n296_585_293;

/*********************************
 * Legato Image Asset
 * Name:   n298_587_292
 * Size:   54x81 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n298_587_292;

/*********************************
 * Legato Image Asset
 * Name:   n300_587_290
 * Size:   63x82 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n300_587_290;

/*********************************
 * Legato Image Asset
 * Name:   n302_591_290
 * Size:   58x78 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n302_591_290;

/*********************************
 * Legato Image Asset
 * Name:   n304_592_288
 * Size:   60x77 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n304_592_288;

/*********************************
 * Legato Image Asset
 * Name:   n306_595_287
 * Size:   62x76 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n306_595_287;

/*********************************
 * Legato Image Asset
 * Name:   n308_597_285
 * Size:   63x75 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n308_597_285;

/*********************************
 * Legato Image Asset
 * Name:   n310_599_285
 * Size:   65x73 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n310_599_285;

/*********************************
 * Legato Image Asset
 * Name:   n312_597_282
 * Size:   74x75 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n312_597_282;

/*********************************
 * Legato Image Asset
 * Name:   n314_602_282
 * Size:   69x70 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n314_602_282;

/*********************************
 * Legato Image Asset
 * Name:   n316_604_280
 * Size:   70x69 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n316_604_280;

/*********************************
 * Legato Image Asset
 * Name:   n318_606_280
 * Size:   72x66 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n318_606_280;

/*********************************
 * Legato Image Asset
 * Name:   n320_607_277
 * Size:   73x65 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n320_607_277;

/*********************************
 * Legato Image Asset
 * Name:   n322_608_275
 * Size:   75x63 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n322_608_275;

/*********************************
 * Legato Image Asset
 * Name:   n324_611_274
 * Size:   76x61 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n324_611_274;

/*********************************
 * Legato Image Asset
 * Name:   n326_613_271
 * Size:   77x59 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n326_613_271;

/*********************************
 * Legato Image Asset
 * Name:   n328_611_271
 * Size:   79x57 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n328_611_271;

/*********************************
 * Legato Image Asset
 * Name:   n330_613_269
 * Size:   80x56 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n330_613_269;

/*********************************
 * Legato Image Asset
 * Name:   n332_615_266
 * Size:   80x53 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n332_615_266;

/*********************************
 * Legato Image Asset
 * Name:   n334_620_264
 * Size:   82x52 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n334_620_264;

/*********************************
 * Legato Image Asset
 * Name:   n336_617_262
 * Size:   83x48 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n336_617_262;

/*********************************
 * Legato Image Asset
 * Name:   n338_618_259
 * Size:   84x47 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n338_618_259;

/*********************************
 * Legato Image Asset
 * Name:   n340_621_259
 * Size:   84x45 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n340_621_259;

/*********************************
 * Legato Image Asset
 * Name:   n342_622_256
 * Size:   85x43 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n342_622_256;

/*********************************
 * Legato Image Asset
 * Name:   n344_623_254
 * Size:   85x41 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n344_623_254;

/*********************************
 * Legato Image Asset
 * Name:   n346_619_251
 * Size:   91x41 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n346_619_251;

/*********************************
 * Legato Image Asset
 * Name:   n348_624_250
 * Size:   86x35 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n348_624_250;

/*********************************
 * Legato Image Asset
 * Name:   n350_625_248
 * Size:   86x33 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n350_625_248;

/*********************************
 * Legato Image Asset
 * Name:   n352_625_246
 * Size:   87x30 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n352_625_246;

/*********************************
 * Legato Image Asset
 * Name:   n354_629_244
 * Size:   86x28 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n354_629_244;

/*********************************
 * Legato Image Asset
 * Name:   n356_629_242
 * Size:   86x25 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n356_629_242;

/*********************************
 * Legato Image Asset
 * Name:   n358_629_240
 * Size:   87x24 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage n358_629_240;

/*********************************
 * Legato Image Asset
 * Name:   background_all
 * Size:   800x480 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage background_all;

/*********************************
 * Legato Image Asset
 * Name:   Background_Image_Dashboard2
 * Size:   800x288 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage Background_Image_Dashboard2;

/*********************************
 * Legato Image Asset
 * Name:   splash800x600
 * Size:   800x480 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage splash800x600;

/*********************************
 * Legato Image Asset
 * Name:   Infopage
 * Size:   300x350 pixels
 * Type:   RGB Data
 * Format: RGBA_8888
 ***********************************/
extern leImage Infopage;

/*****************************************************************************
 * Legato String Table
 * Encoding        ASCII
 * Language Count: 1
 * String Count:   0
 *****************************************************************************/

// language IDs
#define language_Default    0

// string IDs

extern const leStringTable stringTable;

//DOM-IGNORE-BEGIN
#ifdef __cplusplus
}
#endif
//DOM-IGNORE-END

#endif /* LE_GEN_ASSETS_H */
